Skip to main content
POST
/
api
/
datasets
/
{dataset_id}
/
retry-import
Retry Dataset Import
curl --request POST \
  --url https://api.example.com/api/datasets/{dataset_id}/retry-import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kaggle_username": "<string>",
  "kaggle_key": "<string>",
  "huggingface_token": "<string>"
}
'
{
  "job_id": "<string>",
  "status": "<string>",
  "dataset_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Cookies

antidote_session
string | null

Body

application/json
kaggle_username
string | null
Maximum string length: 128
kaggle_key
string | null
Maximum string length: 256
huggingface_token
string | null
Maximum string length: 256

Response

Successful Response

job_id
string
required
status
string
required
dataset_id
string | null